Skip to main content

ABCIQuery

GET

Queries the application with a specific path and data.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Query Parameters
pathstring
Application request path.
datastring
Hex-encoded serialized byte data.
heightstring
Block height for the query.
provestring
String boolean indicating whether to include proof.
Responses
jsonrpcstringrequired
idintegerrequired
errorstring
logstring
heightstring
proofstring
keystring
valuestring
indexstring
codestring
cURL
curl -X GET 'https://rpc-injective-mainnet.nodit.io/abci_query?path=%2Fstore%2Ffoo%2Fkey&data=636f6d6574626674&height=1&prove=true' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'